This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 803298 - (CVE-2012-1178) CVE-2012-1178 pidgin: Client abort in the MSN protocol plug-in by attempt to display certain, not UTF-8 encoded text
CVE-2012-1178 pidgin: Client abort in the MSN protocol plug-in by attempt to ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120117,repor...
: Security
Depends On: 803299 806709 806710 806711 806712 837559 837560 837561 837562
Blocks: 819458
  Show dependency treegraph
 
Reported: 2012-03-14 07:50 EDT by Jan Lieskovsky
Modified: 2015-11-24 10:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 12:59:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-03-14 07:50:17 EDT
A denial of service flaw was found in the way MSN protocol plug-in of Pidgin, a Gtk+ based multiprotocol instant messaging client, performed sanitization of certain not UTF-8 encoded text prior its presentation. A remote attacker could send a specially-crafted not UTF-8 encoded text (for example via Offline Instant Message post), which once processed by the Pidgin client of the victim would lead to that Pidgin client abort.

Upstream bug report:
[1] http://developer.pidgin.im/ticket/14884

Upstream security page entry:
[2] http://pidgin.im/news/security/?id=61

CVE request:
[3] http://www.openwall.com/lists/oss-security/2012/03/14/2

Upstream patches:
[4] http://developer.pidgin.im/viewmtn/revision/info/3053d6a37cc6d8774aba7607b992a4408216adcd
[5] http://developer.pidgin.im/viewmtn/revision/info/ecabfaee8a1ca02e18ebadbb41cdcce19e78bc2e
[6] http://developer.pidgin.im/viewmtn/revision/info/b1b8c222ab921963f43e83502b6c6e2e4489a8c4
[7] http://developer.pidgin.im/viewmtn/revision/info/fdb56683f2b5f88f7b388aaef6c53c810d19e374
[8] http://developer.pidgin.im/viewmtn/revision/info/f12c9f6a6c31bcd3512f162209285a88a86595ff
Comment 1 Jan Lieskovsky 2012-03-14 07:52:59 EDT
This issue affects the versions of the pidgin package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the pidgin package, as shipped with Fedora release of 15 and 16. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-03-14 07:54:21 EDT
Created pidgin tracking bugs for this issue

Affects: fedora-all [bug 803299]
Comment 3 Vincent Danen 2012-03-14 14:18:12 EDT
This was assigned the name CVE-2012-1178:

http://www.openwall.com/lists/oss-security/2012/03/14/7
Comment 7 Vincent Danen 2012-07-19 11:30:37 EDT
Statement:

(none)
Comment 8 errata-xmlrpc 2012-07-19 11:33:21 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1102 https://rhn.redhat.com/errata/RHSA-2012-1102.html

Note You need to log in before you can comment on or make changes to this bug.